JMXNotificationType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, interface: JMXNotificationType

Package org.apache.geode.management

# Interface JMXNotificationType

public interface JMXNotificationType
Enumerated type for JMX notification types emitted by GemFire management system. This types can be matched with javax.management.Notification.getType() for filtering required notifications. For detail usage see GemFire quick start.

Since:
  GemFire 8.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASYNC_EVENT_QUEUE_CLOSED`
  Notification type which indicates that an async queue has been closed.
  `static final String`
  `ASYNC_EVENT_QUEUE_CREATED`
  Notification type which indicates that an async queue is created
  The value of this type string is `ggemfire.distributedsystem.asycn.event.queue.created`.
  `static final String`
  `CACHE_MEMBER_DEPARTED`
  Notification type which indicates that a member has departed from the system.
  `static final String`
  `CACHE_MEMBER_JOINED`
  Notification type which indicates that a member has been added to the system.
  `static final String`
  `CACHE_MEMBER_SUSPECT`
  Notification type which indicates that a member is suspected.
  `static final String`
  `CACHE_SERVER_STARTED`
  Notification type which indicates that cache server is started
  The value of this type string is `gemfire.distributedsystem.cache.server.started`.
  `static final String`
  `CACHE_SERVER_STOPPED`
  Notification type which indicates that cache server is stopped
  The value of this type string is `gemfire.distributedsystem.cache.server.stopped`.
  `static final String`
  `CACHE_SERVICE_CREATED`
  Notification type which indicates that a cache service is created
  The value of this type string is `gemfire.distributedsystem.cache.service.created`.
  `static final String`
  `CLIENT_CRASHED`
  Notification type which indicates that a client has crashed
  The value of this type string is `gemfire.distributedsystem.cacheserver.client.crashed`.
  `static final String`
  `CLIENT_JOINED`
  Notification type which indicates that a client has joined
  The value of this type string is `gemfire.distributedsystem.cacheserver.client.joined`.
  `static final String`
  `CLIENT_LEFT`
  Notification type which indicates that a client has left
  The value of this type string is `gemfire.distributedsystem.cacheserver.client.left`.
  `static final String`
  `DISK_STORE_CLOSED`
  Notification type which indicates that a disk store has been closed.
  `static final String`
  `DISK_STORE_CREATED`
  Notification type which indicates that a disk store has been created
  The value of this type string is `gemfire.distributedsystem.cache.disk.created`.
  `static final String`
  `GATEWAY_RECEIVER_CREATED`
  Notification type which indicates that a gateway receiver is created
  The value of this type string is `gemfire.distributedsystem.gateway.receiver.created`.
  `static final String`
  `GATEWAY_RECEIVER_DESTROYED`
  Notification type which indicates that a gateway receiver is destroyed
  The value of this type string is `gemfire.distributedsystem.gateway.receiver.destroyed`.
  `static final String`
  `GATEWAY_RECEIVER_STARTED`
  Notification type which indicates that a gateway receiver is started
  The value of this type string is `gemfire.distributedsystem.gateway.receiver.started`.
  `static final String`
  `GATEWAY_RECEIVER_STOPPED`
  Notification type which indicates that a gateway receiver is stopped
  The value of this type string is `gemfire.distributedsystem.gateway.receiver.stopped`.
  `static final String`
  `GATEWAY_SENDER_CREATED`
  Notification type which indicates that a gateway sender is created
  The value of this type string is `gemfire.distributedsystem.gateway.sender.created`.
  `static final String`
  `GATEWAY_SENDER_PAUSED`
  Notification type which indicates that a gateway sender is paused
  The value of this type string is `gemfire.distributedsystem.gateway.sender.paused`.
  `static final String`
  `GATEWAY_SENDER_REMOVED`
  Notification type which indicates that a gateway sender is removed
  The value of this type string is `gemfire.distributedsystem.gateway.sender.removed`.
  `static final String`
  `GATEWAY_SENDER_RESUMED`
  Notification type which indicates that a gateway sender is resumed
  The value of this type string is `gemfire.distributedsystem.gateway.sender.resumed`.
  `static final String`
  `GATEWAY_SENDER_STARTED`
  Notification type which indicates that a gateway sender is started
  The value of this type string is `gemfire.distributedsystem.gateway.sender.started`.
  `static final String`
  `GATEWAY_SENDER_STOPPED`
  Notification type which indicates that a gateway sender is stopped
  The value of this type string is `gemfire.distributedsystem.gateway.sender.stopped`.
  `static final String`
  `LOCATOR_STARTED`
  Notification type which indicates that locator is started
  The value of this type string is `gemfire.distributedsystem.locator.started`.
  `static final String`
  `LOCK_SERVICE_CLOSED`
  Notification type which indicates that a lock service has been closed.
  `static final String`
  `LOCK_SERVICE_CREATED`
  Notification type which indicates that a lock service has been created.
  `static final String`
  `MANAGER_STARTED`
  `static final String`
  `REGION_CLOSED`
  Notification type which indicates that a region has been closed/destroyed in the cache
  The value of this type string is `gemfire.distributedsystem.cache.region.closed`.
  `static final String`
  `REGION_CREATED`
  Notification type which indicates that a region has been created in the cache
  The value of this type string is `gemfire.distributedsystem.cache.region.created`.
  `static final String`
  `SYSTEM_ALERT`
  Notification type which indicates a GemFire system generated alert
  The value of this type string is `system.alert`.

- ## Field Details

  - ### REGION_CREATED

    static final String REGION_CREATED
    Notification type which indicates that a region has been created in the cache
    The value of this type string is `gemfire.distributedsystem.cache.region.created`.
    See Also:
      - Constant Field Values

  - ### REGION_CLOSED

    static final String REGION_CLOSED
    Notification type which indicates that a region has been closed/destroyed in the cache
    The value of this type string is `gemfire.distributedsystem.cache.region.closed`.
    See Also:
      - Constant Field Values

  - ### DISK_STORE_CREATED

    static final String DISK_STORE_CREATED
    Notification type which indicates that a disk store has been created
    The value of this type string is `gemfire.distributedsystem.cache.disk.created`.
    See Also:
      - Constant Field Values

  - ### DISK_STORE_CLOSED

    static final String DISK_STORE_CLOSED
    Notification type which indicates that a disk store has been closed.
    The value of this type string is `gemfire.distributedsystem.cache.disk.closed`.
    See Also:
      - Constant Field Values

  - ### LOCK_SERVICE_CREATED

    static final String LOCK_SERVICE_CREATED
    Notification type which indicates that a lock service has been created.
    The value of this type string is `gemfire.distributedsystem.cache.lockservice.created`.
    See Also:
      - Constant Field Values

  - ### LOCK_SERVICE_CLOSED

    static final String LOCK_SERVICE_CLOSED
    Notification type which indicates that a lock service has been closed.
    The value of this type string is `gemfire.distributedsystem.cache.lockservice.closed`.
    See Also:
      - Constant Field Values

  - ### CACHE_MEMBER_JOINED

    static final String CACHE_MEMBER_JOINED
    Notification type which indicates that a member has been added to the system.
    The value of this type string is `gemfire.distributedsystem.cache.created`.
    See Also:
      - Constant Field Values

  - ### CACHE_MEMBER_DEPARTED

    static final String CACHE_MEMBER_DEPARTED
    Notification type which indicates that a member has departed from the system.
    The value of this type string is `gemfire.distributedsystem.cache.created`.
    See Also:
      - Constant Field Values

  - ### CACHE_MEMBER_SUSPECT

    static final String CACHE_MEMBER_SUSPECT
    Notification type which indicates that a member is suspected.
    The value of this type string is `gemfire.distributedsystem.cache.created`.
    See Also:
      - Constant Field Values

  - ### CLIENT_JOINED

    static final String CLIENT_JOINED
    Notification type which indicates that a client has joined
    The value of this type string is `gemfire.distributedsystem.cacheserver.client.joined`.
    See Also:
      - Constant Field Values

  - ### CLIENT_LEFT

    static final String CLIENT_LEFT
    Notification type which indicates that a client has left
    The value of this type string is `gemfire.distributedsystem.cacheserver.client.left`.
    See Also:
      - Constant Field Values

  - ### CLIENT_CRASHED

    static final String CLIENT_CRASHED
    Notification type which indicates that a client has crashed
    The value of this type string is `gemfire.distributedsystem.cacheserver.client.crashed`.
    See Also:
      - Constant Field Values

  - ### GATEWAY_RECEIVER_CREATED

    static final String GATEWAY_RECEIVER_CREATED
    Notification type which indicates that a gateway receiver is created
    The value of this type string is `gemfire.distributedsystem.gateway.receiver.created`.
    See Also:
      - Constant Field Values

  - ### GATEWAY_SENDER_CREATED

    static final String GATEWAY_SENDER_CREATED
    Notification type which indicates that a gateway sender is created
    The value of this type string is `gemfire.distributedsystem.gateway.sender.created`.
    See Also:
      - Constant Field Values

  - ### GATEWAY_SENDER_STARTED

    static final String GATEWAY_SENDER_STARTED
    Notification type which indicates that a gateway sender is started
    The value of this type string is `gemfire.distributedsystem.gateway.sender.started`.
    See Also:
      - Constant Field Values

  - ### GATEWAY_SENDER_STOPPED

    static final String GATEWAY_SENDER_STOPPED
    Notification type which indicates that a gateway sender is stopped
    The value of this type string is `gemfire.distributedsystem.gateway.sender.stopped`.
    See Also:
      - Constant Field Values

  - ### GATEWAY_SENDER_PAUSED

    static final String GATEWAY_SENDER_PAUSED
    Notification type which indicates that a gateway sender is paused
    The value of this type string is `gemfire.distributedsystem.gateway.sender.paused`.
    See Also:
      - Constant Field Values

  - ### GATEWAY_SENDER_RESUMED

    static final String GATEWAY_SENDER_RESUMED
    Notification type which indicates that a gateway sender is resumed
    The value of this type string is `gemfire.distributedsystem.gateway.sender.resumed`.
    See Also:
      - Constant Field Values

  - ### GATEWAY_SENDER_REMOVED

    static final String GATEWAY_SENDER_REMOVED
    Notification type which indicates that a gateway sender is removed
    The value of this type string is `gemfire.distributedsystem.gateway.sender.removed`.
    See Also:
      - Constant Field Values

  - ### ASYNC_EVENT_QUEUE_CREATED

    static final String ASYNC_EVENT_QUEUE_CREATED
    Notification type which indicates that an async queue is created
    The value of this type string is `ggemfire.distributedsystem.asycn.event.queue.created`.
    See Also:
      - Constant Field Values

  - ### ASYNC_EVENT_QUEUE_CLOSED

    static final String ASYNC_EVENT_QUEUE_CLOSED
    Notification type which indicates that an async queue has been closed.
    The value of this type string is `gemfire.distributedsystem.async.event.queue.closed`.
    See Also:
      - Constant Field Values

  - ### SYSTEM_ALERT

    static final String SYSTEM_ALERT
    Notification type which indicates a GemFire system generated alert
    The value of this type string is `system.alert`.
    See Also:
      - Constant Field Values

  - ### CACHE_SERVER_STARTED

    static final String CACHE_SERVER_STARTED
    Notification type which indicates that cache server is started
    The value of this type string is `gemfire.distributedsystem.cache.server.started`.
    See Also:
      - Constant Field Values

  - ### CACHE_SERVER_STOPPED

    static final String CACHE_SERVER_STOPPED
    Notification type which indicates that cache server is stopped
    The value of this type string is `gemfire.distributedsystem.cache.server.stopped`.
    See Also:
      - Constant Field Values

  - ### GATEWAY_RECEIVER_STARTED

    static final String GATEWAY_RECEIVER_STARTED
    Notification type which indicates that a gateway receiver is started
    The value of this type string is `gemfire.distributedsystem.gateway.receiver.started`.
    See Also:
      - Constant Field Values

  - ### GATEWAY_RECEIVER_STOPPED

    static final String GATEWAY_RECEIVER_STOPPED
    Notification type which indicates that a gateway receiver is stopped
    The value of this type string is `gemfire.distributedsystem.gateway.receiver.stopped`.
    See Also:
      - Constant Field Values

  - ### GATEWAY_RECEIVER_DESTROYED

    static final String GATEWAY_RECEIVER_DESTROYED
    Notification type which indicates that a gateway receiver is destroyed
    The value of this type string is `gemfire.distributedsystem.gateway.receiver.destroyed`.
    See Also:
      - Constant Field Values

  - ### LOCATOR_STARTED

    static final String LOCATOR_STARTED
    Notification type which indicates that locator is started
    The value of this type string is `gemfire.distributedsystem.locator.started`.
    See Also:
      - Constant Field Values

  - ### CACHE_SERVICE_CREATED

    static final String CACHE_SERVICE_CREATED
    Notification type which indicates that a cache service is created
    The value of this type string is `gemfire.distributedsystem.cache.service.created`.
    See Also:
      - Constant Field Values

  - ### MANAGER_STARTED

    static final String MANAGER_STARTED
    See Also:
      - Constant Field Values